#appbar {
  position: sticky;
  top: 0;
  left: 0;
  height: 45px;
  width: 100%;
  box-shadow: 0px 2px 4px -1px rgb(0 0 0 / 20%), 0px 4px 5px 0px rgb(0 0 0 / 14%), 0px 1px 10px 0px rgb(0 0 0 / 12%);
  display: flex;
  align-items: center;
  justify-content: space-between;
}

#appbar a {
  margin-left: 15px;
  height: 45px;
  font-size: 26px;
  font-weight: bold;
  font-style: italic;
  line-height: 45px;
}

#appbar > div {
  cursor: pointer;
}
#appbar > div div {
  margin-right: 15px;
  height: 30px;
  width: 30px;
  background: var(--basic-text-color);
  clip-path: url(#clip_dark);
}

#contentwrap {
  width: 90vw;
  max-width: 70ch;
  margin: 0 auto;
  margin-top: 15px;
}
#contentwrap * {
  color: #222;
}

#titlewrap {
  width: 100%;
  height: 15vmin;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
#titlewrap > * {
  height: 100%;
  line-height: 15vmin;
}
#titlewrap > :nth-child(1) {
  text-transform: capitalize;
  font-weight: bold;
  font-size: 10vmin;
}
#titlewrap > :nth-child(2) {
  font-size: 7vmin;
}

#cryptosummary {
  width: 80vw;
  min-width: 280px;
  border-radius: 20px;
  padding: 10px;
  margin: 0 auto;
  margin-bottom: 10px;
  background: #eee;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  box-shadow: 0px 2px 4px -1px rgb(0 0 0 / 20%), 0px 4px 5px 0px rgb(0 0 0 / 14%), 0px 1px 10px 0px rgb(0 0 0 / 12%);
}
#cryptosummary > * {
  font-size: 1.1rem;
}
@media (min-width: 576px) and (max-width: 900px) {
  #cryptosummary {
    width: 290px;
    float: left;
    margin-right: 15px;
  }
}
@media (min-width: 900px) {
  #cryptosummary {
    flex-direction: row;
    width: 100%;
    margin-bottom: 15px;
  }
}
#logowrapper {
  height: 25vmin;
  width: 25vmin;
  min-width: 100px;
  min-height: 100px;
  border-radius: 20px;
  margin: 15px 0 0 15px;
  background: #eee;
  display: flex;
  align-items: center;
  justify-content: center;
  float: right;
  box-shadow: 0px 2px 4px -1px rgb(0 0 0 / 20%), 0px 4px 5px 0px rgb(0 0 0 / 14%), 0px 1px 10px 0px rgb(0 0 0 / 12%);
}

#logo {
  height: 80%;
  width: 80%;
}

#contentwrap p {
  text-indent: 20px;
  text-align: justify;
  margin-bottom: 5px;
}
@media (min-width: 500px) {
  #contentwrap p {
    font-size: 1.25rem;
  }
}

#sourceswrapper * {
  text-align: center;
}

@media (min-width: 400px) {
  #sourceswrapper {
    margin-top: 10px;
  }
}

#footer {
  height: 65px;
  line-height: 65px;
  text-align: center;
  width: 100%;
  background: #eee;
  margin-top: 15px;
}

.dark #appbar {
  background: #232323;
}
#root.dark {
  background: #121212;
}
.dark #appbar,
.dark #cryptosummary,
.dark #logowrapper,
.dark #footer {
  background: #232323;
}
.dark #contentwrap * {
  color: #aaa;
}
.dark #appbar > div div {
  clip-path: url(#clip_light);
}
